package com.tongran.system.mapper;

import java.util.List;
import com.tongran.system.domain.SysMenuClick;

/**
 * 菜单点击计数Mapper接口
 * 
 * @author tongran
 * @date 2025-11-12
 */
public interface SysMenuClickMapper 
{
    /**
     * 查询菜单点击计数
     * 
     * @param id 菜单点击计数主键
     * @return 菜单点击计数
     */
    public SysMenuClick selectSysMenuClickById(Long id);

    /**
     * 查询菜单点击计数列表
     * 
     * @param sysMenuClick 菜单点击计数
     * @return 菜单点击计数集合
     */
    public List<SysMenuClick> selectSysMenuClickList(SysMenuClick sysMenuClick);

    /**
     * 新增菜单点击计数
     * 
     * @param sysMenuClick 菜单点击计数
     * @return 结果
     */
    public int insertSysMenuClick(SysMenuClick sysMenuClick);

    /**
     * 修改菜单点击计数
     * 
     * @param sysMenuClick 菜单点击计数
     * @return 结果
     */
    public int updateSysMenuClick(SysMenuClick sysMenuClick);

    /**
     * 删除菜单点击计数
     * 
     * @param id 菜单点击计数主键
     * @return 结果
     */
    public int deleteSysMenuClickById(Long id);

    /**
     * 批量删除菜单点击计数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysMenuClickByIds(Long[] ids);
}
